<template>
  <nav
    class="a-simple-navbar-ui shadow"
    role="navigation"
    aria-label="Main navigation"
  >
    <a-box-l
      class="a-simple-navbar-ui__outer-box"
      :class="[
        'reset px-2 sm:px-6 lg:px-8',
        full ? 'w-full' : 'max-w-screen-xl mx-auto',
      ]"
    >
      <div
        class="a-simple-navbar-ui__inner-wrapper"
        :class="['flex justify-between']"
      >
        <!--
          @slot The left area, always visible, which usually contains the logo.
        -->
        <slot name="navbar-start" />
        <!--
          @slot The right area, which appears at the end of the navbar.
        -->
        <slot name="navbar-end" />
      </div>
    </a-box-l>
  </nav>
</template>

<script>
export default {
  name: 'ASimpleNavbarUi',
  props: {
    /** Toggles the width constraint (1280px) of the navbar content. */
    full: {
      type: Boolean,
      default: false,
    },
  },
};
</script>

<style scoped>
/* prettier-ignore */
.a-simple-navbar-ui {
  --a-simple-navbar-ui--def-h: var(--ag-navbar--h, 4rem); /* theme('spacing.16') */
  --a-simple-navbar-ui--def-text-color: inherit; /* n/a */
  --a-simple-navbar-ui--def-bg-color: hsl(210, 20%, 98%); /* theme('colors.gray.50') */

  color: var(--a-simple-navbar-ui--text-color, var(--a-simple-navbar-ui--def-text-color));
  background-color: var(--a-simple-navbar-ui--bg-color, var(--a-simple-navbar-ui--def-bg-color));
}
.a-simple-navbar-ui__inner-wrapper {
  height: var(--a-simple-navbar-ui--h, var(--a-simple-navbar-ui--def-h));
}
</style>
